
Infrastructure - Task #1057

Story # 1053 (Closed): Need to implement Authorization for MN implementations

Implement authorization methods for Metacat

2010-11-10 00:13 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-06-22 04:00 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee set to Ben Leinfelder

MNodeService will implement MNAuthorization.

Also, I assume the get() and query() methods will respect the AccessPolicy of the resources that are returned.

#2 - 2011-06-27 19:27 - Ben Leinfelder

- Status changed from In Progress to Closed

isAuthorized() and setAccessPolicy() are implemented in Metacat
